<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.probekit"
   name="Hyades Probekit"
   version="3.0.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.probekit.ProbekitPlugin">

   <runtime>
      <library name="probekit.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.models.probekit"/>
   </requires>


   <extension-point id="probeCompiler" name="Probe Compiler" schema="schema/probeCompiler.exsd"/>

   <extension
         id="probekitProblem"
         name="Probekit-detected Problem"
         point="org.eclipse.core.resources.markers">
      <super
            type="org.eclipse.core.resources.problemmarker">
      </super>
      <persistent
            value="true">
      </persistent>
   </extension>

</plugin>
